## ceve 1.4

=== Makefile ===
include Makefile.config

ifdef USE_OCAMLDUCE
OCAMLFIND = ocamlducefind
OCAML_SOURCES = tools.ml options.ml egraph.ml \
egraph_reader.ml pretty_print.ml \
egraph_writer.ml dose_writer.ml dependencies.ml \
cnf_writer.ml oz_writer.ml graphviz_writer.ml ceve.ml 
else
OCAMLFIND = ocamlfind
OCAML_SOURCES = tools.ml options.ml \
egraph_reader.ml pretty_print.ml \
egraph_writer.ml dose_writer.ml dependencies.ml \
cnf_writer.ml oz_writer.ml graphviz_writer.ml ceve.ml 
endif

OCAML_MLIS = tools.mli options.mli \
egraph_reader.mli pretty_print.mli \
egraph_writer.mli dose_writer.mli dependencies.mli \
cnf_writer.mli graphviz_writer.mli oz_writer.mli
OBJS = $(OCAML_SOURCES:.ml=.cmo)
XBJS = $(OCAML_SOURCES:.ml=.cmx)
CMIS = $(OCAML_MLIS:.mli=.cmi)

PACKAGES = -package dose2.lifetime,dose2.ocamlpkgsrc,dose2.ocamlrpm,dose2.ocamldeb,dose2.dosebase,str,$(CAMLZIP_NAME)
#ifdef USE_OCAMLDUCE
#PACKAGES+=	,ocamlduce,expat
#DUCEDIR=$(shell ocamlfind query ocamlduce)
#endif

ceve: $(OBJS)
	$(OCAMLFIND) ocamlc -I $(DUCEDIR) -thread -custom -o $@ -linkpkg $(PACKAGES) $(C_LIBRARIES) $(CCOPTFLAGS) $(OBJS)

ceve.opt: $(XBJS)
# bug in ocamlducefind
ifdef USE_OCAMLDUCE
	ocamlfind ocamlopt -thread -o $@ -linkpkg $(PACKAGES),ocamlduce $(C_LIBRARIES) $(CCOPTFLAGS) $(XBJS)
else
	$(OCAMLFIND) ocamlopt -thread -o $@ -linkpkg $(PACKAGES) $(C_LIBRARIES) $(CCOPTFLAGS) $(XBJS)
endif	

ifdef USE_OCAMLDUCE
egraph_writer.cmo egraph_writer.cmi: ceveduce/egraph_writer.ml egraph_writer.mli
	$(OCAMLFIND) ocamlc -I $(DUCEDIR) $(PACKAGES) -o $@ -c $<

egraph_reader.cmo egraph_reader.cmi: ceveduce/egraph_reader.ml egraph_reader.mli
	$(OCAMLFIND) ocamlc -I $(DUCEDIR) $(PACKAGES) -o $@ -c $<

egraph_writer.cmx: ceveduce/egraph_writer.ml
	$(OCAMLFIND) ocamlopt -I $(DUCEDIR) $(PACKAGES) -o $@ -c $<

egraph_reader.cmx: ceveduce/egraph_reader.ml
	$(OCAMLFIND) ocamlopt -I $(DUCEDIR) $(PACKAGES) -o $@ -c $<
endif

%.cmo: %.ml
	$(OCAMLFIND) ocamlc $(PACKAGES) -c $<

%.cmx: %.ml
	$(OCAMLFIND) ocamlopt $(PACKAGES) -c $<

%.cmi: %.mli
	$(OCAMLFIND) ocamlopt $(PACKAGES) -c $<

doc: $(CMIS)
	@rm -rf doc
	@mkdir doc
	$(OCAMLFIND) ocamldoc -html -d doc $(SOURCES)

.PHONY: clean install
clean:
	@rm -rf ceve ceve.opt doc $(OBJS) $(XBJS) $(CMIS) $(OCAML_SOURCES:.ml=.o)

install: ceve
	{ test ! -f ceve.opt || install ceve.opt $(BINDIR); }; \
	install ceve $(BINDIR)

depend:
	$(OCAMLFIND) ocamldep $(OCAML_SOURCES) $(OCAML_MLIS) > .depend

include .depend

=== debian/changelog ===
ceve (1.4-2) unstable; urgency=low

  * Convert to source format 3.0 (quilt)
  * Standards-Version 3.9.1 (no change)
  * Convert from cdbs to dh, dh_ocaml >= 0.9~ (closes: #599296)
    - bump build-dependency on debhelper to have overrides.
    - bump build-dependency on ocaml to have checksums of ABIs

 -- Ralf Treinen <treinen@debian.org>  Wed, 09 Feb 2011 09:12:52 +0100

ceve (1.4-1) unstable; urgency=low

  * New Upstream Version
  * Standards-Version 3.8.2 (no change)
  * Bump dependency on libdose-ocaml-dev to >= 1.4.2

 -- Ralf Treinen <treinen@debian.org>  Tue, 21 Jul 2009 20:04:42 +0200

ceve (1.3.1-1) unstable; urgency=low

  *  New upstream version

 -- Ralf Treinen <treinen@debian.org>  Fri, 22 May 2009 09:00:35 +0200

ceve (1.3-1) unstable; urgency=low

  * New upstream version

 -- Ralf Treinen <treinen@debian.org>  Mon, 18 May 2009 21:12:46 +0200

ceve (1.2.1-1) unstable; urgency=low

  [ Ralf Treinen ]
  * New upstream release
  * Add debian/watch
  * debian/rules: class/ocaml.ml -> rules/ocaml.mk
  * Standards-version 3.8.1 (no change)
  * Build-dependency add dh-ocaml, libdose2 must be >= 1.4-2
  * Add myself to Uploaders

  [ Stefano Zacchiroli ]
  * ship ceve.1 manpage

 -- Ralf Treinen <treinen@debian.org>  Thu, 26 Mar 2009 08:20:45 +0100

ceve (1.1-1) experimental; urgency=low

  * Initial release. (Closes: #484280)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 03 Jun 2008 14:30:29 +0200

=== debian/control ===
Source: ceve
Section: devel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stefano Zacchiroli <zack@debian.org>,
 Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9~),
 ocaml-nox (>= 3.11.1-3~), ocaml-findlib,
 libdose2-ocaml-dev (>= 1.4.2),
 libexpat-ocaml-dev
Standards-Version: 3.9.1
Homepage: http://sodiac.gforge.inria.fr/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ceve.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ceve.git

Package: ceve
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: utility to parse package dependencies as set of constraints
 Ceve is a command line utility used to parse package metadata
 information (in particular package interrelationships such as
 dependencies) and convert them to set of constraints that need to
 be satisfied by a proper package installation.
 .
 Supported input formats for package metadata are:
  * .deb packages
  * Debian package lists (i.e. as in Packages.gz)
  * .rpm packages
  * RPM package lists
  * EGraph (XML based format, derived from GraphML)
 .
 Supported output formats for set of constraints are:
  * pretty printed format for human consumption
  * EGraph
  * Dose base, suitable as input for the Pkglab tool
  * Oz (a programming language supporting constraint programming)
  * Graphviz
  * Tart, suitable as input for the Tart media partitioner

=== debian/rules ===
#!/usr/bin/make -f

OPTCOMPILER=/usr/bin/ocamlopt

%:
	dh $@ --with ocaml

override_dh_auto_build:	
	if [ -x $(OPTCOMPILER) ]; \
		then $(MAKE) opt; \
		else $(MAKE) all; \
        fi

override_dh_auto_install:
	$(MAKE) install BINDIR=debian/ceve/usr/bin

override_dh_strip:
	if [ -x $(OPTCOMPILER) ]; \
		then dh_strip; \
		else dh_strip -X usr/bin/ceve; \
        fi

=== debian/watch ===
version=3
http://gforge.inria.fr/frs/?group_id=929 .*/ceve-(.*)\.tar\.gz
